Import new upstream release debian/3.0.0-0kali1
authorSophie Brun <sophie@freexian.com>
Mon, 14 Dec 2015 10:08:00 +0000 (11:08 +0100)
committerSophie Brun <sophie@freexian.com>
Mon, 14 Dec 2015 10:35:10 +0000 (11:35 +0100)
debian/changelog
debian/control
debian/patches/add-sys-path-append
debian/patches/fix-interpreter.patch [new file with mode: 0644]
debian/patches/series
debian/websploit.install
debian/websploit.preinst

index cf4f737..edb39f5 100644 (file)
@@ -1,3 +1,12 @@
+websploit (3.0.0-0kali1) kali-dev; urgency=medium
+
+  * Import new upstream release
+  * Add depends on python-scapy
+  * Refresh patches
+  * Update debian/websploit.install: do not install .pyc
+
+ -- Sophie Brun <sophie@freexian.com>  Mon, 14 Dec 2015 11:06:03 +0100
+
 websploit (2.0.5-1kali1) kali; urgency=low
 
   * Upgrade to 2.0.5
index 8cbec12..3d43db2 100644 (file)
@@ -5,12 +5,12 @@ Maintainer: Devon Kearns <dookie@kali.org>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/websploit/
-Vcs-Git: ssh://git@git.kali.org/packages/websploit.git
+Vcs-Git: git://git.kali.org/packages/websploit.git
 Vcs-Browser: http://git.kali.org/gitweb/?p=packages/websploit.git;a=summary
 
 Package: websploit
 Architecture: all
-Depends: ${misc:Depends}, python
+Depends: ${misc:Depends}, python, python-scapy
 Description: Web exploitation framework
  WebSploit is an open source project which is used to scan 
  and analysis remote system in order to find various type of 
index c4a3f5b..9cb96c5 100644 (file)
@@ -1,7 +1,5 @@
-Index: websploit/websploit
-===================================================================
---- websploit.orig/websploit   2014-03-17 11:04:03.941882093 +0100
-+++ websploit/websploit        2014-03-17 11:08:32.568132431 +0100
+--- a/websploit
++++ b/websploit
 @@ -1,4 +1,4 @@
 -#!/usr/bin/env python
 +#!/usr/bin/python
@@ -17,7 +15,7 @@ Index: websploit/websploit
  import readline, rlcompleter
  from time import sleep
  from core import wcolors
-@@ -155,4 +157,4 @@
+@@ -159,4 +161,4 @@ def start():
      menu.main_info()
      main()
  if __name__=='__main__':
diff --git a/debian/patches/fix-interpreter.patch b/debian/patches/fix-interpreter.patch
new file mode 100644 (file)
index 0000000..d0db3a3
--- /dev/null
@@ -0,0 +1,8 @@
+--- a/modules/thebiz.py
++++ b/modules/thebiz.py
+@@ -1,4 +1,4 @@
+-#!/usr/bin/evn python
++#!/usr/bin/env python
+ # XSS Phishing attack
index 9b4d62d..260db24 100644 (file)
@@ -1 +1,2 @@
 add-sys-path-append
+fix-interpreter.patch
index 59b5409..8b07a77 100644 (file)
@@ -1,3 +1,3 @@
 websploit usr/bin/
-core usr/share/websploit/
+core/*.py usr/share/websploit/core/
 modules usr/share/websploit/
index e2268e1..1740e63 100644 (file)
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 if [ "$1" = "upgrade" ] && dpkg --compare-versions $2 lt 2.0.4-1kali2; then
        rm -f $(dpkg-query --control-path websploit postrm)
 fi